
SET SERVEROUTPUT ON;
DECLARE
  v_drop_sql VARCHAR2(32767);
BEGIN
  FOR i IN (
    SELECT  
      'DROP TRIGGER REFERENCE.'||TRIGGER_NAME AS sql_str,
      'REFERENCE.AUTOKEY_'||TABLE_NAME AS trigger_name
    FROM DBA_TRIGGERS
    WHERE 
        OWNER = 'REFERENCE' 
    AND TRIGGER_NAME LIKE 'AUTOKEY%'
    AND TABLE_NAME IN (
'T_BALANCE_SHEET_STRUCTURE', 'T_CAPITAL_KEY', 'T_COUNTRY', 'T_CSDB_RATING_ACTION', 'T_CURRENCY', 'T_TMS_ACTIVITY_GROUPING'
    ) 
  ) LOOP
    v_drop_sql := i.sql_str;
    
  DBMS_OUTPUT.PUT_LINE(i.trigger_name);
  EXECUTE IMMEDIATE v_drop_sql;

--  DBMS_OUTPUT.PUT_LINE(v_drop_sql||'
--  /
--  ');

END LOOP;

END;
/